This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 212885 - (pear-HTTP-Request) Review Request: php-pear-HTTP-Request - Provides an easy way to perform HTTP requests
Review Request: php-pear-HTTP-Request - Provides an easy way to perform HTTP ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On: php-pear-Net-URL
Blocks: FE-ACCEPT pear-Test-Selenium php-pear-SOAP php-pear-Cache
  Show dependency treegraph
 
Reported: 2006-10-29 17:52 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 19:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 17:52:58 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTTP-Request.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTTP-Request-1.4.0-1.src.rpm

Description:
Supports GET/POST/HEAD/TRACE/PUT/DELETE, Basic authentication, Proxy,
Proxy Authentication, SSL, file uploads etc.
Comment 1 Remi Collet 2006-11-05 13:32:02 EST
* source files match upstream:
2aacf8ac8ce9aa865269f6b5e4c256b9  HTTP_Request-1.4.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (BSD).
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides are sane:
php-pear(HTTP_Request) = 1.4.0
php-pear-HTTP-Request = 1.4.0-1.fc7
* %check is not present; no test suite provide.
* owns the directories it creates (HTTP already owned but by non-dependant rpm)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

SHOULD requires other extensions with minimal version.
php-pear(Net_URL) >= 1.0.12
php-pear(Net_Socket) >= 1.0.2
php-pear(PEAR) >= 1.4.0b1

APPROVED
Comment 2 Christopher Stone 2006-11-07 19:59:30 EST
Added versioned requires, thanks for the reviews.
Comment 3 Christopher Stone 2007-04-29 14:33:05 EDT
Package Change Request
======================
Package Name: php-pear-HTTP-Request
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.